org.jboss.jca.deployers

## Interface DeployersLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      @MessageLogger(projectCode="IJ")
      public interface DeployersLogger
      extends org.jboss.logging.BasicLogger

  The deployers logger. Message ids ranging from 020000 to 029999 inclusively.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adminObjectMismatch(java.lang.String clz)` Admin object mismatch
    `void` | `adminObjectNotBound(java.lang.String clz)` Admin object not bound
    `void` | `adminObjectNotSpecCompliant(java.lang.String clz)` Admin object not spec compliant
    `void` | `adminObjectNull()` Admin object class-name null
    `void` | `changedTransactionSupport(java.lang.String jndiName)` Changed TransactionSupport
    `void` | `connectionDefinitionInvalid(java.lang.String clz)` Connection definition invalid
    `void` | `connectionDefinitionMismatch(java.lang.String clz)` Connection definition mismatch
    `void` | `connectionDefinitionNull()` Connection definition class-name null
    `void` | `connectionFactoryNotBound(java.lang.String clz)` Connection factory not bound
    `void` | `connectionFactoryNotSpecCompliant(java.lang.String clz)` Connection factory not spec compliant
    `void` | `connectionPropertiesEmpty(java.lang.String jndiName, java.lang.String driverClass, java.lang.String connURL)` Connection Properties for DataSource is empty.
    `void` | `deployed(java.lang.String url)` Deployed
    `void` | `enablingValidateOnMatch(java.lang.String jndiName)` Enabling validate-on-match
    `void` | `invalidConfigProperty(java.lang.String cp)` Invalid config property
    `void` | `missingRecovery(java.lang.String jndi)` Missing recovery
    `void` | `nullConnectionFactory()` Null connection factory
    `void` | `requiredLicenseTerms(java.lang.String url)` Required license terms
    `void` | `subjectCreationError(java.lang.String detail, java.lang.Throwable t)` Subject ceration error
    `void` | `validationInvalidArchive(java.lang.String archive)` Invalid archive
    `void` | `validationReportFailure(java.lang.String detail, java.lang.Throwable t)` Validation report failure

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Method Detail

    - #### requiredLicenseTerms

          @LogMessage(level=INFO)
           @Message(id=20001,
                   value="Required license terms for %s")
          void requiredLicenseTerms(java.lang.String url)

      Required license terms
      Parameters:
        `url` - The license url

    - #### deployed

          @LogMessage(level=INFO)
           @Message(id=20002,
                   value="Deployed: %s")
          void deployed(java.lang.String url)

      Deployed
      Parameters:
        `url` - The url

    - #### validationReportFailure

          @LogMessage(level=WARN)
           @Message(id=20003,
                   value="Failure during validation report generation: %s")
          void validationReportFailure(java.lang.String detail,
                                                                                                                                                     @Cause
                                                                                                                                                     java.lang.Throwable t)

      Validation report failure
      Parameters:
        `detail` - The details
        `t` - The exception

    - #### connectionDefinitionMismatch

          @LogMessage(level=WARN)
           @Message(id=20004,
                   value="Only one connection definition found with a mismatch in class-name: %s")
          void connectionDefinitionMismatch(java.lang.String clz)

      Connection definition mismatch
      Parameters:
        `clz` - The class name

    - #### adminObjectMismatch

          @LogMessage(level=WARN)
           @Message(id=20005,
                   value="Only one admin object found with a mismatch in class-name: %s")
          void adminObjectMismatch(java.lang.String clz)

      Admin object mismatch
      Parameters:
        `clz` - The class name

    - #### nullConnectionFactory

          @LogMessage(level=ERROR)
           @Message(id=20006,
                   value="ConnectionFactory is null")
          void nullConnectionFactory()

      Null connection factory

    - #### subjectCreationError

          @LogMessage(level=ERROR)
           @Message(id=20007,
                   value="Exception during createSubject(): %s")
          void subjectCreationError(java.lang.String detail,
                                                                                                                                        @Cause
                                                                                                                                        java.lang.Throwable t)

      Subject ceration error
      Parameters:
        `detail` - The details
        `t` - The exception

    - #### invalidConfigProperty

          @LogMessage(level=WARN)
           @Message(id=20008,
                   value="Invalid config-property: %s")
          void invalidConfigProperty(java.lang.String cp)

      Invalid config property
      Parameters:
        `cp` - The config property name

    - #### connectionDefinitionInvalid

          @LogMessage(level=WARN)
           @Message(id=20009,
                   value="Invalid connection definition with class-name: %s")
          void connectionDefinitionInvalid(java.lang.String clz)

      Connection definition invalid
      Parameters:
        `clz` - The class name

    - #### connectionDefinitionNull

          @LogMessage(level=ERROR)
           @Message(id=20010,
                   value="Connection definition with missing class-name")
          void connectionDefinitionNull()

      Connection definition class-name null

    - #### adminObjectNull

          @LogMessage(level=ERROR)
           @Message(id=20011,
                   value="Admin object with missing class-name")
          void adminObjectNull()

      Admin object class-name null

    - #### adminObjectNotBound

          @LogMessage(level=WARN)
           @Message(id=20012,
                   value="Admin object not bound: %s")
          void adminObjectNotBound(java.lang.String clz)

      Admin object not bound
      Parameters:
        `clz` - The class name

    - #### connectionFactoryNotBound

          @LogMessage(level=WARN)
           @Message(id=20013,
                   value="Connection factory not bound: %s")
          void connectionFactoryNotBound(java.lang.String clz)

      Connection factory not bound
      Parameters:
        `clz` - The class name

    - #### adminObjectNotSpecCompliant

          @LogMessage(level=INFO)
           @Message(id=20014,
                   value="Admin object not specification compliant. See 13.4.2.3 for additional details: %s")
          void adminObjectNotSpecCompliant(java.lang.String clz)

      Admin object not spec compliant
      Parameters:
        `clz` - The class name

    - #### connectionFactoryNotSpecCompliant

          @LogMessage(level=INFO)
           @Message(id=20015,
                   value="Connection factory not specification compliant. See 6.5.1.3 for additional details: %s")
          void connectionFactoryNotSpecCompliant(java.lang.String clz)

      Connection factory not spec compliant
      Parameters:
        `clz` - The class name

    - #### missingRecovery

          @LogMessage(level=WARN)
           @Message(id=20016,
                   value="Missing <recovery> element. XA recovery disabled for: %s")
          void missingRecovery(java.lang.String jndi)

      Missing recovery
      Parameters:
        `jndi` - The jndi name

    - #### validationInvalidArchive

          @LogMessage(level=WARN)
           @Message(id=20017,
                   value="Invalid archive: %s")
          void validationInvalidArchive(java.lang.String archive)

      Invalid archive
      Parameters:
        `archive` - The archive

    - #### enablingValidateOnMatch

          @LogMessage(level=INFO)
           @Message(id=20018,
                   value="Enabling <validate-on-match> for %s")
          void enablingValidateOnMatch(java.lang.String jndiName)

      Enabling validate-on-match
      Parameters:
        `jndiName` - The JNDI name

    - #### changedTransactionSupport

          @LogMessage(level=INFO)
           @Message(id=20019,
                   value="Changed TransactionSupport for %s")
          void changedTransactionSupport(java.lang.String jndiName)

      Changed TransactionSupport
      Parameters:
        `jndiName` - The JNDI name

    - #### connectionPropertiesEmpty

          @LogMessage(level=WARN)
           @Message(id=20020,
                   value="Connection Properties for DataSource: \'%s\' is empty, try to use driver-class: \'%s\' and connection-url: \'%s\' to connect database")
          void connectionPropertiesEmpty(java.lang.String jndiName,
                                                                                                                                                                                                                                             java.lang.String driverClass,
                                                                                                                                                                                                                                             java.lang.String connURL)

      Connection Properties for DataSource is empty.
      Parameters:
        `jndiName` - The JNDI name
        `driverClass` - The driver class
        `connURL` - The connection URL

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)